# WARNING - Generated by {fusen} from /dev/flat_minimal.Rmd: do not edit by hand


#' Fonction Qui Donne La Liste Des Fichiers D'Un répertoire
#'
#' @param dossier Dossier à parcourir
#'
#' @importFrom purrr map
#' @importFrom glue glue
#' 
#' @return dataframe. Liste des noms de fichiers avec leur taille
#' @export
#'
#' @examples
#' get_all_file_size(".")
#' 
get_all_file_size <- function(dossier){
  
    if (isFALSE(dir.exists(dossier))) {
      stop(glue("Le dossier '{dossier}' fourni en parametre n existe pas"))
    }
  
  resultat1 <-  list.files(
    path=dossier, pattern=NULL, all.files=FALSE,
    full.names=TRUE) |> 
    map(.f=get_one_file_size) 
  
    resultat <- do.call(rbind.data.frame,resultat1)
  
    class(resultat)
return(resultat)
}


#' Fonction qui retourne le nom et la taille d'un fichier 
#'
#' @param file Character. Nom du fichier 
#'
#' @importFrom tools file_ext
#' 
#' @return Dataframe. data.frame avec son nom et sa taille et son extension
#' @export
#'
#' @examples
#' get_one_file_size(file = "analyse_facto.Rmd")
#' get_one_file_size(file = "analyse_facto")
get_one_file_size <- function(file){
  if(isFALSE(inherits(file, "character"))) {
    stop("Param 'file' must be a character")
  }
    size <- file.size(file)
    file_ext <- file_ext(file)
    df <- data.frame(file,size,file_ext)
    return(df)
}
